Skip to Content
List Subview Comparison Values
get

Returns the metric value broken down by subview attributes, for each of up to 4 selected values of a given dimension. Powers side-by-side comparisons across dimension values (for example, comparing the rendition breakdown for the US vs. India).

Request path & query params
METRIC_ID
string
Possible values: "playing_time"

ID of the metric to compute over subviews. Additional metrics may be added over time.

SUBVIEW_TYPE
string
Possible values: "rendition""playback_mode"

The subview type to query.

dimension
string

Name of the dimension to compare across. See the List Subview Dimensions endpoint for the valid values for a given subview type.

timeframe[]
array

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=).

Accepted formats are...

  • array of epoch timestamps e.g. timeframe[]=1498867200&timeframe[]=1498953600
  • duration string e.g. timeframe[]=24:hours or timeframe[]=7:days
filters[]
array

Filter results using key:value pairs. Must be provided as an array query string parameter.

The set of filterable dimensions is distinct from the main Data API's dimensions, and depends on the subview type — see the List Subview Dimensions endpoint for the valid names.

  • filters[]=dimension:value - Include rows where dimension equals value
  • filters[]=!dimension:value - Exclude rows where dimension equals value
  • filters[]=dimension:__empty__ - Include rows where the dimension has no value

Example: filters[]=country:US

values[]
array

The dimension values to compare, up to 4. Must be provided as an array query string parameter. Use __empty__ to select subviews where the dimension has no value.

Example: values[]=US&values[]=FR

group_by[]
array

Subview attributes to group the results by. Must be provided as an array query string parameter. Currently only supported for the rendition subview type, as any combination of the 6 enum values below.

If omitted, defaults to grouping by every attribute available for the subview type.

Possible values: "video_source_bitrate""video_source_width""video_source_height""video_source_fps""video_source_codec""video_source_rendition_name"
breakdown_value_limit
integer
(default: 10, max: 100)

Number of breakdown rows to include per selected dimension value.

get
200
https://api.mux.com/data/v1/subview-metrics/{METRIC_ID}/{SUBVIEW_TYPE}/comparison
Response
(application/json)
{
  "data": [
    {
      "dimension_value": "US",
      "values": [
        {
          "breakdown_value": "18.5Mb / 3840w / 2160h / 60fps / HEVC / 4k",
          "metric_value": 112000000
        },
        {
          "breakdown_value": "5.1Mb / 1920w / 1080h / 60fps / h264 / hi",
          "metric_value": 56200000
        },
        {
          "breakdown_value": "other",
          "metric_value": 13200000
        }
      ]
    },
    {
      "dimension_value": "FR",
      "values": [
        {
          "breakdown_value": "18.5Mb / 3840w / 2160h / 60fps / HEVC / 4k",
          "metric_value": 41200000
        },
        {
          "breakdown_value": "other",
          "metric_value": 8300000
        }
      ]
    }
  ],
  "meta": {
    "dimension": "country",
    "subview_type": "rendition",
    "metric": "playing_time",
    "unit": "ms",
    "group_by": [
      "video_source_bitrate",
      "video_source_width",
      "video_source_height",
      "video_source_fps",
      "video_source_codec",
      "video_source_rendition_name"
    ]
  },
  "total_row_count": 2,
  "timeframe": [
    1617235200,
    1617321600
  ]
}